<div class="slot-title">
  {{getTitle()}}
</div>
<div class="slot-schedule" [ngStyle]="{height: (slot.duration * 50) + 'px'}">
  <div>{{slot.start | date : 'HH:mm'}} - {{slot.end | date : 'HH:mm'}}</div>
</div>
<div class="book-button" *ngIf="!slot.booked" [ngClass]="{'disabled': !slot.available}" (click)="book()">
  Book
</div>
<app-calendar-booking *ngIf="slot.booked" [bookingId]="slot.bookingId"></app-calendar-booking>
